Intrusion Prevention

Google.Android.Mediaserver.Remote.Code.Execution

Description

This indicates an attack attempt against a remote Code Execution vulnerability in Mediaserver for Google Android.
The vulnerability could enable an attacker using a specially crafted file to cause a memory corruption condition during media file and data processing. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted file.

Affected Products

Android versions 6.0 and 6.0.1

Impact

System Compromise: Remote attackers can execute arbitrary code within the context of the Mediaserver process.

Recommended Actions

Apply the latest update from the vendor.
https://source.android.com/security/bulletin/2016-08-01.html

CVE References

CVE-2016-3820